Bug 73292 - weird behavior when deleting chars in console
weird behavior when deleting chars in console
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: kbd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-02 12:06 EDT by Moritz Barsnick
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 06:15:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2002-09-02 12:06:05 EDT
Description of Problem:

When deleting characters in a line which has accented chars ("umlauts"),
the ^D is sent to the terminal when approaching such an accented char.

Version-Release number of selected component (if applicable):
kbd-1.06-23
bash-2.05b-5

How Reproducible:
Always

Steps to Reproduce:
1. loadkeys de-latin-nodeadkeys.map
2a. Type "abcddv|" (the last three letters are "auml" "ouml" and "uuml" in
 HTML speak) at the prompt.
3a. Move the cursor to the beginning of the line.
4a. Delete characters using the "Del" key or Ctrl-D, one by one.

Or:

2b. Type "abcddv|abcdv|"
3b. Move the cursor to before the second 'v'.
4c. Type the letter 'd'.
Actual Results:
a) User gets logged out when deleting the 'd', i.e. the letter _before_ the
first accented char.
b) User gets logged out when typing 'd'.

Expected Results:
a) Characters should be deleted one by one.
b) Letter 'd' should be inserted.

Additional Information:
Obviously, "Del" = "Ctrl-D" is nasty when sent to a tty - but shouldn't
be when deleting chars in a command line.

The second routine's behavior is even more peculiar...

This behavior isn't present in an X11 term such as xterm. It behaves like
this since installing kbd-1.06-23, so I assume it's this component's fault.
Comment 1 Moritz Barsnick 2002-09-03 04:58:00 EDT
Hmm, my Umlauts don't show in this bug report (neither in the web
interface nor in the email).

I'll try to submit HTML this time:

Steps to Reproduce:
1. loadkeys de-latin-nodeadkeys.map
2a. Type "abcdäöü" at the prompt.
3a. Move the cursor to the beginning of the line.
4a. Delete characters using the "Del" key or Ctrl-D, one by one.

Or:

2b. Type "abcdäöüabcäöü"
3b. Move the cursor to before the second 'ö'.
4c. Type the letter 'ä'.
Actual Results:
a) User gets logged out when deleting the 'd', i.e. the letter _before_
 the first accented char.
b) User gets logged out when typing 'ä'.

(Sorry, this is hard to get legible. ;->)
Comment 2 Moritz Barsnick 2002-09-03 04:59:22 EDT
Here are my stty settings:

barsnick@sunshine:~ > stty -a
speed 38400 baud; rows 37; columns 100; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>; eol2 = <undef>; start = ^Q;
stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W; lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff -iuclc -ixany
-imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt echoctl echoke
barsnick@sunshine:~ > stty
speed 38400 baud; line = 0;
-brkint -imaxbel
Comment 3 Eido Inoue 2003-01-05 21:43:47 EST
I'm not sure which keycodes your keyboard is generating. Can you run "showkey"
and tell me the codes generated with that keymap?

Also, did kbd 1.08 fix this problem for you?
Comment 4 Moritz Barsnick 2003-01-13 06:15:07 EST
I can proudly say that this problem does not exist anymore in 1.08, apparently.

I'll move it to WONTFIX, as it does seem to exist in earlier versions, but
you won't touch them anymore.

Thanks,
Moritz

Note You need to log in before you can comment on or make changes to this bug.